Skip to main content
GET
/
v1
/
metrics
/
{metric_id}
Get a metric
curl --request GET \
  --url https://api.passu.ai/v1/metrics/{metric_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metric_type": "LEVERAGE_TARGET",
  "updated_at": "2023-11-07T05:31:56Z",
  "value": 123,
  "attributes": {},
  "quotes": [
    {
      "quote_type": "TEXT",
      "text": "<string>",
      "author": "<string>",
      "title": "<string>",
      "table_name": "<string>",
      "row_names": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

metric_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
event_id
string<uuid>
required
metric_type
enum<string>
required

Discriminator for the metric single-table hierarchy.

Available options:
LEVERAGE_TARGET,
CURRENT_LEVERAGE,
CAPITAL_ALLOCATION_PRIORITY,
LIQUIDITY
updated_at
string<date-time>
required
value
attributes
Attributes · object
quotes
Quote · object[]